ALTER TABLE M_STOMAR_VIRI
  ADD STEVILO_VIROV NUMBER;

ALTER TABLE SERVIS_VIRI
  RENAME COLUMN DELAVEC TO VIR;

ALTER TABLE SERVIS_VIRI
  DROP COLUMN DVIGALO;

ALTER TABLE SERVIS_PLAN
  RENAME COLUMN DELAVEC TO VIR;

ALTER TABLE SERVIS_PLAN
  DROP COLUMN DVIGALO;

CREATE SEQUENCE ID_STOMAR_LINK START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE ID_STOMAR_VIRI START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE ID_SERVIS_PLAN START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE ID_SERVIS_VIRI START WITH 1 INCREMENT BY 1;

ALTER TABLE M_STOMAR_LINK
  MODIFY GEN_INSTR VARCHAR2(6 CHAR);

create table M_VIRI_STORITVE 
(
   ID_VIRI_STORITVE       NUMBER               not null,
   SIFRA                VARCHAR2(6 CHAR)     not null,
   VIR                  VARCHAR2(4 CHAR)     not null,
   constraint PK_M_VIRI_STORITVE primary key (ID_VIRI_STORITVE)
);

CREATE SEQUENCE ID_VIRI_STORITVE START WITH 1 INCREMENT BY 1;

ALTER TABLE SERVIS_VIRI 
ADD CONSTRAINT FK_SV_VIRI_VRSTE FOREIGN KEY (VIR)
REFERENCES VIRI_VRSTE (SIFRA);

ALTER TABLE SERVIS_PLAN 
ADD CONSTRAINT FK_SP_VIRI_VRSTE FOREIGN KEY (VIR)
REFERENCES VIRI_VRSTE (SIFRA);

ALTER TABLE SERVIS_PLAN
ADD CONSTRAINT FK_SP_SERVIS_VIRI FOREIGN KEY (ID_SERVIS_VIRI)
REFERENCES SERVIS_VIRI (ID_SERVIS_VIRI);

ALTER TABLE M_STOMAR_VIRI 
ADD CONSTRAINT FK_MSV_VIRI_VRSTE FOREIGN KEY (VRSTA)
REFERENCES VIRI_VRSTE (SIFRA);

ALTER TABLE VIRI_VRSTE
  ADD AKT VARCHAR2(1 CHAR) DEFAULT 'Y' NOT NULL;

INSERT INTO VIRI_VRSTE (SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES ('WORK', 'Worker', 'Worker', 'Y');
INSERT INTO VIRI_VRSTE (SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES ('LIFT', 'Lift', 'Lift', 'Y');
INSERT INTO VIRI_VRSTE (SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES ('WSHP', 'Workshop', 'Workshop', 'Y');
INSERT INTO VIRI_VRSTE (SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES ('OTHR', 'Other', 'Other', 'Y');

CREATE VIEW V_KUPCI_BIRTHDAY AS SELECT ID, EXTRACT(DAY FROM DATUM_ROJSTVA) DANROJSTVA,   EXTRACT(MONTH FROM DATUM_ROJSTVA) MESECROJSTVA,   EXTRACT(YEAR FROM DATUM_ROJSTVA)  LETOROJSTVA FROM KUPCI WHERE DATUM_ROJSTVA IS NOT NULL;


DELETE FROM NDOGODEK WHERE NDOGODEK IS NULL;

ALTER TABLE NDOGODEK
ADD CONSTRAINT PK_NDOGODEK PRIMARY KEY (NDOGODEK);

ALTER TABLE NNFIRMA
ADD CONSTRAINT PK_NNFIRMA PRIMARY KEY (FIRMA);

ALTER TABLE OPIS_DELA
ADD ID_OPIS_DELA NUMBER;

CREATE SEQUENCE ID_OPIS_DELA START WITH 1 INCREMENT BY 1;

UPDATE OPIS_DELA
SET ID_OPIS_DELA=ID_OPIS_DELA.NEXTVAL
WHERE ID_OPIS_DELA IS NULL;

ALTER TABLE OPIS_DELA
  MODIFY ID_OPIS_DELA NUMBER NOT NULL;

ALTER TABLE OPIS_DELA
ADD CONSTRAINT PK_OPIS_DELA PRIMARY KEY (ID_OPIS_DELA);

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('VESSEL_SAIL_PERMIT', 'Vessel sailing permit', 'Vessel sailing permit', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('VESSEL_AUTHORIZATION', 'Vessel authorization', 'Vessel authorization', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('VESSEL_SIGN_IN', 'Vessel sign in date', 'Vessel sign in date', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('VESSEL_OIL_CHANGE', 'Vessel oil change', 'Vessel oil change', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (296, SYSDATE, '5.5', 216, 'Android');
